org.apache.sysds.runtime.controlprogram.paramserv.dp

## Class DataPartitionFederatedScheme

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionFederatedScheme

Direct Known Subclasses:
  BalanceToAvgFederatedScheme, KeepDataOnWorkerFederatedScheme, ReplicateToMaxFederatedScheme, ShuffleFederatedScheme, SubsampleToMinFederatedScheme

    public abstract class DataPartitionFederatedScheme
    extends Object

### Nested Class Summary

Nested Classes
`static class` `DataPartitionFederatedScheme.BalanceMetrics`
`static class` `DataPartitionFederatedScheme.Result`

### Constructor Summary

Constructors
Constructor and Description
`DataPartitionFederatedScheme()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract DataPartitionFederatedScheme.Result` `partition(MatrixObject features, MatrixObject labels, int seed)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataPartitionFederatedScheme

    public DataPartitionFederatedScheme()

### Method Detail

#### partition

    public abstract DataPartitionFederatedScheme.Result partition(MatrixObject features,
                                                                  MatrixObject labels,
                                                                  int seed)